(game-module "empire"
  (title "True Empire")
  (blurb "The classic big economic/military game")
  )

(unit-type infantry)
(unit-type armor)

(define ground-types (infantry armor))

(unit-type dd)
(unit-type sub)
(unit-type bb)

(define ship-types (dd sub bb))

(unit-type fighter)
(unit-type bomber)

(define air-types (fighter bomber))

(unit-type irbm)
(unit-type icbm)

(define missile-types (irbm icbm))

(unit-type minefield)

(unit-type farm)
(unit-type oil-field)
(unit-type iron-mine)
(unit-type gold-mine)
(unit-type uranium-mine)
(unit-type hydro-plant)

(define extraction-types
  (farm oil-field iron-mine gold-mine uranium-mine hydro-plant))

(unit-type radar)
(unit-type bank)
(unit-type lab)
(unit-type port)
(unit-type airfield)
(unit-type refinery)
(unit-type factory)
(unit-type warehouse)
(unit-type nuclear-plant)

(define facility-types
  (radar bank lab port airfield refinery factory warehouse nuclear-plant))

(unit-type city) ; make variable-size?
(unit-type capital)

(define city-types (city capital))

(material-type food)
(material-type oil)
(material-type petrol)
(material-type rads)
(material-type iron)
(material-type gold)
(material-type civs)
(material-type money)
(material-type manufactures)

(terrain-type sea)
(terrain-type wilderness)
(terrain-type settled)
(terrain-type mountains)
(terrain-type wasteland)

;;; Each side should be able to have its own type of money...

;;; Random setup.

(add capital start-with 1)

(game-module (design-notes (
  "Scale is unimportant, this is an abstract game."
  )))