(game-module "pelops"
  (title "The Peloponnesian War")
  (blurb "The focus is Athens; whoever holds it after xx turns is the winner")
)

(include "eastmed")

#|
Globals 0 100 0 0 1 0
1 3 50 60
52 56 -1
|#

(side 1 (noun "Athenian"))

(side 2 (noun "Spartan"))

(side 3 (noun "Persian"))

(* (n "Ancona") (@ 162 95))
(* (n "Odessus") (@ 56 94))
(* (n "Messambria") (@ 57 91))
(* (n "Apollonia") (@ 57 88))
(* (n "Sinope") (@ 100 86))
(@ (n "Rome") (@ 161 84))
(* (n "Lissus") (@ 15 82))
(* (n "Amisus") (@ 111 81))
(* (n "Antium") (@ 164 81))
(* (n "Tarracina") (@ 167 80))
(* (n "Heraclea*Pontica") (@ 84 79))
(* (n "Epidamnus") (@ 18 78))
(* (n "Crenides") (@ 44 78))
(* (n "Bisanthe") (@ 65 78))
(* (n "Perinthus") (@ 67 78))
(@ (n "Byzantium") (@ 70 78))
(* (n "Calchedon") (@ 72 78))
(* (n "Cotyora") (@ 125 78))
(* (n "Trapezus") (@ 138 78))
(* (n "Aegae") (@ 32 77))
(* (n "Abdera") (@ 49 77))
(* (n "Cerasus") (@ 132 77))
(* (n "Amphipolis") (@ 43 76))
(* (n "Nicomedia") (@ 77 76))
(* (n "Bithynium") (@ 87 76))
(* (n "Cumae") (@ 174 76))
(* (n "Neapolis") (@ 176 76))
(* (n "Apollonia") (@ 20 75))
(* (n "Therma") (@ 39 75))
(* (n "Thasos") (@ 49 75))
(* (n "Lysimachia") (@ 61 75))
(* (n "Amasia") (@ 118 75))
(* (n "Brundisium") (@ 12 74))
(* (n "Methone") (@ 37 74))
(* (n "Parium") (@ 66 74))
(* (n "Nicaea") (@ 75 74))
(* (n "Tarentum") (@ 10 73))
(* (n "Myrlea") (@ 73 73))
(* (n "Hydruntum") (@ 16 72))
(* (n "Olynthus") (@ 43 72))
(* (n "Sestos") (@ 59 72))
(* (n "Abydos") (@ 61 72))
(* (n "Posidonia") (@ 182 72))
(* (n "Lemnos") (@ 54 69))
(@ (n "Troy") (@ 62 69))
(* (n "Corcyra") (@ 26 67))
(* (n "Dodona") (@ 31 67))
(* (n "Ancyra") (@ 102 67))
(* (n "Petelia") (@ 9 66))
(* (n "Gordium") (@ 94 66))
(* (n "Thurii") (@ 12 65))
(* (n "Pagasae") (@ 44 65))
(* (n "Methymna") (@ 61 64))
(* (n "Pergamum") (@ 67 64))
(* (n "Croton") (@ 14 63))
(* (n "Anactorium") (@ 33 63))
(* (n "Mytilene") (@ 65 63))
(* (n "Scolacium") (@ 11 62))
(* (n "Heraclea") (@ 43 62))
(* (n "Delphi") (@ 42 61))
(* (n "Elaea") (@ 68 61))
(* (n "Chalcis") (@ 51 60))
(* (n "Magnesia") (@ 71 60))
(@ (n "Sardis") (@ 75 60))
(* (n "Melitene") (@ 136 60))
(* (n "Naupactus") (@ 40 59))
(@ (n "Thebes") (@ 48 59))
(* (n "Erythrae") (@ 67 59))
(* (n "Same") (@ 34 58))
(* (n "Marathon") (@ 52 58))
(* (n "Chios") (@ 65 58))
(* (n "Smyrna") (@ 71 58))
(* (n "Messana") (@ 7 57))
(* (n "Rhegium") (@ 9 57))
(* (n "Patrae") (@ 42 57))
(* (n "Aegium") (@ 44 57))
(* (n "Sicyon") (@ 46 57))
(* (n "Brauron") (@ 54 57))
(* (n "Ephesus") (@ 74 57))
(* (n "Elis") (@ 40 56))
(@ (n "Corinth") (@ 48 56))
(* (n "Megara") (@ 50 56))
(@ (n "Athens") (@ 52 56))
(* (n "Panormus") (@ 180 56))
(* (n "Tauroneum") (@ 7 55))
(* (n "Thoricus") (@ 56 55))
(* (n "Anaea") (@ 74 55))
(* (n "Tyana") (@ 119 55))
(* (n "Lilybaeum") (@ 176 55))
(* (n "Segesta") (@ 179 55))
(* (n "Zacynthus") (@ 37 54))
(* (n "Olympia") (@ 42 54))
(@ (n "Argos") (@ 48 54))
(* (n "Aegina") (@ 52 54))
(* (n "Samos") (@ 71 54))
(* (n "Icomium") (@ 107 54))
(* (n "Catana") (@ 7 53))
(* (n "Megalopolis") (@ 46 53))
(* (n "Tegea") (@ 48 52))
(@ (n "Miletus") (@ 75 52))
(* (n "Leontini") (@ 7 51))
(@ (n "Syracuse") (@ 9 50))
(* (n "Pharae") (@ 47 50))
(@ (n "Sparta") (@ 49 50))
(* (n "Pylos") (@ 45 49))
(* (n "Paros") (@ 62 49))
(* (n "Naxos") (@ 66 49))
(* (n "Myndus") (@ 76 49))
(* (n "Halicarnassus") (@ 78 49))
(* (n "Issus") (@ 131 49))
(* (n "Zeugma") (@ 146 49))
(* (n "Camarina") (@ 5 48))
(* (n "Gythium") (@ 50 48))
(* (n "Tarsus") (@ 123 48))
(* (n "Melos") (@ 63 47))
(* (n "Cos") (@ 77 47))
(@ (n "Carthage") (@ 167 47))
(* (n "Soli") (@ 119 46))
(* (n "Phaselis") (@ 97 45))
(* (n "Selinus") (@ 107 45))
(* (n "Ialysus") (@ 84 44))
(* (n "Xanthus") (@ 92 44))
(* (n "Kythera") (@ 56 43))
(* (n "Rhodos") (@ 83 43))
(* (n "Myra") (@ 96 43))
(* (n "Antioch") (@ 133 42))
(* (n "Ruspe") (@ 174 40))
(* (n "Laodicea") (@ 132 39))
(* (n "Cyclonia") (@ 63 38))
(* (n "Knossos") (@ 72 37))
(* (n "Itanus") (@ 78 37))
(* (n "Salamis") (@ 122 36))
(* (n "Aradus") (@ 136 34))
(* (n "Paphos") (@ 116 33))
(* (n "Berytus") (@ 137 30))
(* (n "Byblus") (@ 138 28))
(* (n "Tacape") (@ 178 28))
(* (n "Sidon") (@ 140 25))
(@ (n "Tyre") (@ 138 24))
(* (n "Sabrata") (@ 12 19))
(* (n "Leptis") (@ 22 18))
(* (n "Kyrene") (@ 64 17))
(* (n "Hesperis") (@ 61 15))
(* (n "Gaza") (@ 143 11))
(* (n "Naucratis") (@ 117 6))
(* (n "Pelusium") (@ 131 6))
(* (n "Memphis") (@ 122 1))
(* (n "Heliopolis") (@ 125 1))
(@ (n "Alexandria") (@ 114 8))
(@ (n "Ambracia") (@ 33 65))
